package Asensetek;


import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.DependsOn;


import com.sun.jna.Library;
import com.sun.jna.Native;
//import com.sun.jna.win32.StdCallLibrary;



@Version(1.0f)
@Author("Orbtronics")
@ShortName("Asensetek")
@DependsOn(values={"jna-4.3.0","jna-platform-4.3.0"})

public class Asensetek {
	
	public static int DeviceNum;
	public static byte[] deviceName = new byte[400];
	public static byte[] deviceType = new byte[20];

	@BA.Hide
	public interface libAsensetekLP extends Library {

		// create a run-time link to the DLL
		libAsensetekLP INSTANCE = (libAsensetekLP) Native.loadLibrary("libAsensetekLP", libAsensetekLP.class);
		
		// method prototypes 
		public int ASTDiscoverDevice(int DeviceNum, byte[] deviceName, byte[] deviceType);
		public int ASTGetConnectDeviceCount();
	}
	
	
	public void DiscoverALP()
	{
		deviceName[0] = 0;
		deviceType[0] = 0;

		libAsensetekLP.INSTANCE.ASTDiscoverDevice(DeviceNum, deviceName, deviceType );
	}
	
	public int GetConnectALP()
	{
		int result;
		
		result = libAsensetekLP.INSTANCE.ASTGetConnectDeviceCount();
		return result;
	}

}

	

